

	Subroutine JUD(d,mo,y,h,m,s,JD1)
C subroutine returns Julian date of epoch

	integer d,mo,y,h,m,y2,mo2
	integer a,b,c,d2
	double precision JD1,d1,s,s2

!	write(*,*) 'enter jud:'
!	write(*,*) 'd,mo,y,h,m,s,JD1:'
!	write(*,*)  d,mo,y,h,m,s,JD1


	s2=s+60.0d0*dble(m+60*h)

	d1=dble(d)+(s2/86400.0d0)

	if(mo.eq.1.or.mo.eq.2) then
	  y2=y-1
	 mo2=mo+12
	else
	  y2=y
	 mo2=mo
	end if

	a=idint(y2/100.0d0)
	b=2-a+idint(dble(a)/4.0d0)
	c=idint(365.25d0*dble(y2))
	d2=idint(30.6001d0*dble(mo2+1))

	jd1=1720994.5+dble(b+c+d2)+d1

!	write(*,*) 'exit jud:'
!	write(*,*) 'd,mo,y,h,m,s,JD1:'
!	write(*,*)  d,mo,y,h,m,s,JD1

	return

	end
