C*RCLOCK -- get elapsed real time and cpu time [Convex-UNIX]
C+
      SUBROUTINE RCLOCK (ELAPSE, CPU)
      CHARACTER*(*) ELAPSE
      REAL CPU     
C
C Return elapsed time (ELAPSE) and cpu time used (CPU) since preceding
C call to SCLOCK.
C-----------------------------------------------------------------------
      INTEGER STIME, ETIME, NSECS
      REAL CPUTIME, CTIME
      INTEGER HOURS,MINS,SECS
      CHARACTER*1 DIGIT(0:9),SEP
      CHARACTER*8 OUT
      DATA DIGIT/'0','1','2','3','4','5','6','7','8','9'/
      DATA SEP/':'/
      COMMON /CLOCKS/ CTIME, ETIME
C
      NSECS = STIME() - ETIME
      IF (NSECS.LT.0 .OR. NSECS.GT.86400) THEN
          OUT = ' '
      ELSE
          HOURS = NSECS/3600
          MINS = MOD(NSECS,3600)/60
          SECS = MOD(NSECS,60)
          OUT(1:1) = DIGIT(HOURS/10)
          OUT(2:2) = DIGIT(MOD(HOURS,10))
          OUT(3:3) = SEP
          OUT(4:4) = DIGIT(MINS/10)
          OUT(5:5) = DIGIT(MOD(MINS,10))
          OUT(6:6) = SEP
          OUT(7:7) = DIGIT(SECS/10)
          OUT(8:8) = DIGIT(MOD(SECS,10))
      END IF
      ELAPSE = OUT
      CPU = CPUTIME(DTIME)
C
      END
