

      real function golden(ax,bx,cx,f,tol,xmin)
      real ax,bx,cx,f,tol,xmin
      real r,c
      external f
      parameter (r=.61803399,c=.38196602)
      real x0,x1,x2,x3,f0,f1,f2,f3
      x0=ax
      x3=cx
      if(abs(cx-bx).gt.abs(bx-ax))then
        x1=bx
        x2=bx+c*(cx-bx)
      else
        x2=bx
        x1=bx-c*(bx-ax)
      endif
      f1=f(x1)
      f2=f(x2)
1     if(abs(x3-x0).gt.tol*(abs(x1)+abs(x2)))then
        if(f2.lt.f1)then
          x0=x1
          x1=x2
          x2=r*x1+c*x3
          f0=f1
          f1=f2
          f2=f(x2)
        else
          x3=x2
          x2=x1
          x1=r*x2+c*x0
          f3=f2
          f2=f1
          f1=f(x1)
        endif
      goto 1
      endif
      if(f1.lt.f2)then
        golden=f1
        xmin=x1
      else
        golden=f2
        xmin=x2
      endif
      return
      end
