


      SUBROUTINE INTERSECT(U1,V1,U2,V2,RESQ)
      REAL U1, V1, U2, V2, RESQ
      REAL SL, ROOT1, U3, V3, RADICAL

      IF (ABS(U2-U1).GE.ABS(V2-V1)) THEN

	SL = (V2-V1)/(U2-U1)
	RADICAL = (SL*SL+1)*RESQ - (SL*U1-V1)*(SL*U1-V1)
	IF (RADICAL.LT.0.0) RETURN
	RADICAL = SQRT(RADICAL)
	ROOT1 = (SL*(SL*U1-V1) + RADICAL)/(SL*SL+1)
	IF (((U1.LE.ROOT1).AND.(ROOT1.LE.U2)) .OR.
     1      ((U2.LE.ROOT1).AND.(ROOT1.LE.U1))) THEN
	  U3 = ROOT1
        ELSE
	  U3 = (SL*(SL*U1-V1) - RADICAL)/(SL*SL+1)
        END IF
	V3 = SL*(U3-U1) + V1

      ELSE

	SL = (U2-U1)/(V2-V1)
	RADICAL = (SL*SL+1)*RESQ - (SL*V1-U1)*(SL*V1-U1)
	IF (RADICAL.LT.0.0) RETURN
	RADICAL = SQRT(RADICAL)
	ROOT1 = (SL*(SL*V1-U1) + RADICAL)/(SL*SL+1)
	IF (((V1.LE.ROOT1).AND.(ROOT1.LE.V2)) .OR.
     1      ((V2.LE.ROOT1).AND.(ROOT1.LE.V1))) THEN
	  V3 = ROOT1
        ELSE
	  V3 = (SL*(SL*V1-U1) - RADICAL)/(SL*SL+1)
        END IF
	U3 = SL*(V3-V1) + U1

      END IF
      U1 = U3
      V1 = V3
      RETURN
      END
