


      subroutine wrldmp( wldmin )
      implicit none
      real       wldmin
c
c  Subroutine to read a list of coordinates, ostensibly those describing
c  major vertices of continents of interest, and to plot out some angular
c  shapes, representing the said continents.
c
      integer    lun, nch
      real       xo, yo, xc, yc, wldmax
      logical    newcont
      data       lun/23/
      

Cvms  call lib$get_lun( lun )

      open( unit=lun, file='.worldmap', form='formatted',
     -      status='old', err=1000 )

      wldmax = wldmin + 360.0
      xc = 0.0
      yc = 0.0

   10 continue

      xo = xc
      yo = yc

!      read(lun,20,end=1000) nch, xc, yc
!   20 format(q,2f7.1)

      read(lun,*,end=1000) xc, yc

	if(xc.gt.500.) then 
	   newcont=.true.
	else
	   newcont=.false.
	end if

	nch=1



      if ( xc.gt.wldmax ) xc = xc - 360.0
      if ( xc.lt.wldmin ) xc = xc + 360.0

      if ( nch.eq.0 .or. newcont .or. 
     -       sqrt( (xc-xo)**2 + (yc-yo)**2 ).gt.90.0 ) then
        call pgmove( xc, yc )
      else
!       call pgsci(7)
        call pgsci(8)
        call pgdraw( xc, yc )
	call pgsci(1)
      endif

!      newcont = nch.eq.0

      goto 10
        

 1000 continue


      close( unit=lun )
Cvms  call lib$free_lun( lun )

      end
